spa_log_topic Struct Reference
SPA » Support » Log

Identifier for a topic. More...

## Data Fields

uint32_t | version
| the version of this topic. More...
const char * | topic
| The string identifier for the topic. More...
enum spa_log_level | level
| Logging level set for this topic. More...
bool | has_custom_level
| False if this topic follows the Log level. More...

## Detailed Description

Identifier for a topic.

Topics are string-based filters that logically group messages together. An implementation may decide to filter different topics on different levels, for example the "protocol" topic may require debug level TRACE while the "core" topic defaults to debug level INFO.

spa_log_topics require a spa_log_methods version of 1 or higher.

## Field Documentation

## version

uint32_t spa_log_topic::version

the version of this topic.

This can be used to expand this structure in the future

## topic

const char* spa_log_topic::topic

The string identifier for the topic.

## level

enum spa_log_level spa_log_topic::level

Logging level set for this topic.

## has_custom_level

bool spa_log_topic::has_custom_level

False if this topic follows the Log level.

The documentation for this struct was generated from the following file:

- spa/support/log.h